# $Revision: 1.19 $, $Date: 2007/01/23 15:47:01 $
%define		mod_name	witch
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: log the access_log and error_log log into the syslogd
Summary(pl):	Modu do apache przekazujcy access_log i error_log do demona syslogd
Name:		apache1-mod_%{mod_name}
Version:	0.0.5
Release:	4
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://savannah.nongnu.org/download/mod-witch/mod-witch.pkg/%{version}/mod-witch-%{version}.tar.gz
# Source0-md5:	a2ffe2f9e28947426321615e2ba57fc7
Source1:	%{name}.conf
URL:		http://savannah.nongnu.org/projects/mod-witch/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_witch <= 0.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This mod_witch apache module project intend to help the Apache web
server to log the access_log and error_log log into the syslogd, this
way apache will be able to log onto a remote logger machine with the
syslogd.

%description -l pl
Modu apache'a mod_witch ma pomc serwerowi WWW apache przekazywa
logi access_log i error_log do syslogd, umoliwiajc w ten sposb
logowanie na inn maszyn.

%prep
%setup -q -n mod-%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 0.0.5-2.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
if [ -f /var/lock/subsys/apache ]; then
	/etc/rc.d/init.d/apache restart 1>&2
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_witch.spec,v $
Revision 1.19  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.18  2006/04/14 17:15:51  glen
- use %service

Revision 1.17  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.16  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.15  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.14  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.13  2005/02/15 12:03:53  glen
- rel 3; STBR

Revision 1.12  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.11  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.10  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.9  2004/09/05 17:09:00  radek
- release 2: fixed paths

Revision 1.8  2004/09/05 17:04:35  radek
- mv apache{,1}-*; NOTE: Source0 no longer available

Revision 1.7  2003/08/13 13:28:58  qboosh
- removed COPYING (just GPL) and INSTALL (useless), added ChangeLog and TODO

Revision 1.6  2003/08/12 17:41:04  qboosh
- pl

Revision 1.4  2003/08/05 20:44:46  blues
- license fix

Revision 1.3  2003/08/05 11:33:20  ankry
- fix md5

Revision 1.2  2003/08/04 18:17:57  mwinkler
- clean

Revision 1.1  2003/08/03 17:46:35  mwinkler
- initial spec
- PL translations needed
- apache1 only (?)
